<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged,$wpdb,$data;
	wp_title( '|', true, 'right' );
	// Add the blog name.
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'attorneys' ), max( $paged, $page ) );
	?></title>

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/style/slider.css" />
<?php
	if ( is_singular() && get_option( 'thread_comments' ) )

		wp_enqueue_script( 'comment-reply' );
	wp_head();
?>
<link href="<?php echo get_template_directory_uri(); ?>/fonts/fonts.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/ddsmoothmenu.css" />
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/ddsmoothmenu.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery-1.3.2.min.js"></script>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript">
	$(document).ready(function(){	
		$("#slider").easySlider({
			auto: true, 
			continuous: true
		});
		//footer css
		$(".fwidget").each(function (index, domEle) {
		var getit = index+2;
		$(domEle).addClass("block-"+getit);
});
	});	
ddsmoothmenu.init({

	mainmenuid: "smoothmenu1", //menu DIV id

	orientation: 'h', //Horizontal or vertical menu: Set to "h" or "v"

	classname: 'ddsmoothmenu', //class added to menu's outer DIV

	//customtheme: ["#1c5a80", "#18374a"],

	contentsource: "markup" //"markup" or ["container_id", "path_to_menu_file"]

});
      function initialize() {
        var myOptions = {
          center: new google.maps.LatLng(<?php echo $data['glat'];?>, <?php echo $data['glon'];?>),
          zoom: 8,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        var map = new google.maps.Map(document.getElementById("map"),
            myOptions);
      }
</script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/easySlider1.7.js"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style/demo.css" />
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/chili-1.7.pack.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.easing.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.dimensions.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.accordion.js"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$('#tabs div').hide();
		$('#tabs div:first').show();
		$('#tabs ul li:first').addClass('active');
		$('#tabs ul li a').click(function(){
		$('#tabs ul li').removeClass('active');
		$(this).parent().addClass('active');
		var currentTab = $(this).attr('href');
		$('#tabs div').hide();
		$(currentTab).show();
		return false;
		});
	});
	jQuery().ready(function(){
		// simple accordion
		jQuery('#list1a').accordion();
		jQuery('#list1b').accordion({
			autoheight: false
		});
	});

        function submitx(){

            if(document.getElementById("name").value=="") {alert("Please Enter Name"); return;}
            if(document.getElementById("email").value=="") {alert("Please Enter Email"); return;}
            if(document.getElementById("message").value=="") {alert("Please Enter Message"); return;}
            this.document.getElementById("myform").submit();
        }
jQuery(document).ready(function(){
	var t=1;
	var rows = $("input#count_r").val();
	$("#right").live('click', function() {
		if(t ==rows) 
		{ 
			$("#right").removeAttr('href');
			$("#right").removeClass("right");
		}
		else
		{
			$("#right").show();
			$("#left").show();
			$("#left").addClass("left");
			$("#left").attr("href", "javascript:void(0);");	
		}
		if(t ==0) t =1;
		if(t < rows){
			$("#t"+t).fadeOut('slow', function() {
				$("#t"+t).hide();
				t = parseInt(t)+1;		
				$("#t"+t).show();
			 });
		}
	});
	$("#left").live('click', function() {
		if(t ==1) 
		{
			$("#left").hide();
			$("#right").removeClass("left");
		}
		else
		{
			$("#left").show();
			$("#right").show();			
			$("#right").addClass("right");
			$("#right").attr("href", "javascript:void(0);");	
		}
		if(t ==0) {t =1;}
		if(t <= rows && t !=1){
		t = parseInt(t)-1;
			$("#t"+t).fadeIn('slow', function() {
				$("#t"+parseInt(t)+1).hide();				
				$("#t"+t).show();
			 });}});
});
</script>
<?php
if($data['hbg']!=""){
?>
<style type="text/css">
#header {
background:<?php echo $data['hbg'];?>;}
<?php if(!$data['ftrue']){?>
#footer {
background:<?php echo $data['fbg'];?>;}
<?php }?>
</style>
<?php
}?>
</head>
<body <?php body_class(); ?> onload="initialize()">
<div id="header">
    	<div class="header">
        	<div class="logo"><img src="<?php echo $data['logo'];?>" border="0" alt="" /><label style="font-family: 'DroidSansRegular';color:#a8a6a5;text-transform:uppercase;display:block;font-size:11px"><?php echo $data['logoline'];?></label></div>
           <div class="phone"><h5><?php echo $data['phone']; ?></h5><p><?php echo $data['phone2']; ?></p></div>
        </div>
    </div>	
	<div id="top-bg">
    	<div id="nav">
                <?php wp_nav_menu(array( 'container_class' => 'ddsmoothmenu', 'container_id' => 'smoothmenu1') ); ?>
        </div>   